function ondata(obj, event, Code, niDataRowSet, tableName, varargin)
global price number
disp('On data is here');
number=0;
price=[];
try
    for i=0 : niDataRowSet.Count - 1
        DataRow = niDataRowSet.GetRow(i);
        str = DataRow.Item('I_LAST');
        number = number + 1;
        price(number) = str;
        disp(str)
    end;
catch
    disp('error in onData while receiving prices');
end
end